Groovy Documentation

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class RuntimeRedirectAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.RuntimeRedirectAction

    class RuntimeRedirectAction
    extends AbstractAction

Takes the parameters formulated in the builder and produces an ExternalRedirect at runtime.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`java.lang.Object` | `action`
`java.lang.Object` | `controller`
`java.util.Map` | `params`
`UrlMappingsHolder` | `urlMapper`

Method Summary
`protected Event` | `doExecute(RequestContext context)`
`java.lang.Object` | `resolveExpression(ExpressionDelegate delegate, java.lang.Object expression)`
`java.lang.Object` | `resolveExpressionsInParams(ExpressionDelegate delegate, java.util.Map params)`

Property Detail

### action

    java.lang.Object action

### controller

    java.lang.Object controller

### params

    java.util.Map params

### urlMapper

    UrlMappingsHolder urlMapper

Method Detail

### doExecute

    protected Event doExecute(RequestContext context)

### resolveExpression

    java.lang.Object resolveExpression(ExpressionDelegate delegate, java.lang.Object expression)

### resolveExpressionsInParams

    java.lang.Object resolveExpressionsInParams(ExpressionDelegate delegate, java.util.Map params)

Groovy Documentation